Use this request to obtain a JWT access token for authenticating with the API.
Token Endpoint: https://auth.interactsms.com/token
Grant Type: password
Content-Type: application/x-www-form-urlencoded
Request Body:
grant_type=password
username=your_username
password=your_strong_password
client_id=ismstoken
Successful Response will include:
access_token — JWT to be passed in Authorization: Bearer {token}expires_in — Time in seconds before token expiresrefresh_token — Token used to obtain a new access tokenscope, session_state, etc.This path is included for documentation only. Make actual requests directly to https://auth.interactsms.com/token.
curl --request POST \
--url https://auth.interactsms.com/token \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data username=your_username \
--data password=your_strong_password \
--data client_id=ismstoken \
--data grant_type=password{
"access_token": "eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJE...",
"expires_in": 120,
"refresh_expires_in": 1200,
"refresh_token": "eyJhbGciOiJIUzUxMiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJh...",
"token_type": "Bearer",
"scope": "email profile client_id"
}curl --request POST \
--url https://auth.interactsms.com/token \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data username=your_username \
--data password=your_strong_password \
--data client_id=ismstoken \
--data grant_type=password{
"access_token": "eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJE...",
"expires_in": 120,
"refresh_expires_in": 1200,
"refresh_token": "eyJhbGciOiJIUzUxMiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJh...",
"token_type": "Bearer",
"scope": "email profile client_id"
}